package org.naokishibata.examples;

import java.awt.*;
import java.awt.image.*;

import org.naokishibata.ocvimgio.*;
import org.naokishibata.generic.*;

public class CVTest3 {
    public static void main(String[] args) throws Exception {
	CvVideoWriter vw = CvVideoWriter.cvCreateVideoWriter("./test.mpg", "PIM1", 30, 640, 480, 1);

	BufferedImage bimg = new BufferedImage(640, 480, BufferedImage.TYPE_INT_ARGB);
	IplImage iimg = new IplImage(640, 480);
	Graphics2D g = bimg.createGraphics();

	g.setFont(new Font("Serif", Font.BOLD, 100));
	g.setColor(Color.blue);

	for(int i=0;i<300;i++) {
	    if (i % 10 == 0) System.out.println(i);

	    g.clearRect(0, 0, 640, 480);
	    g.drawString("" + i, 0, 240);

	    iimg.setImage(bimg);
	    vw.cvWriteFrame(iimg);
	}

	vw.close();

	System.exit(0);
    }
}
