__kernel void %KERNEL_NAME%(read_only global int *xbuf, read_only global int *ptr, write_only global int *out) {
  int x = get_global_id(0), y = get_global_id(1), p0 = (y << %SHIFT%) + x;
  int g = xbuf[p0], p = ptr[g] * 16;

  if (g != 0) {
    if (xbuf[p0 + 1             ] == 0) {
      int t =      x         + 2*((1 << %SHIFT%) + (1 << %SHIFT%));
      if (out[p+ 0] < t) atomic_max(&out[p+ 0], t);
    }
    if (xbuf[p0 - 1             ] == 0) {
      int t = -1 * x         + 2*((1 << %SHIFT%) + (1 << %SHIFT%));
      if (out[p+ 4] < t) atomic_max(&out[p+ 4], t);
    }
    if (xbuf[p0 + (1 << %SHIFT%)] == 0) {
      int t =              y + 2*((1 << %SHIFT%) + (1 << %SHIFT%));
      if (out[p+ 2] < t) atomic_max(&out[p+ 2], t);
    }
    if (xbuf[p0 - (1 << %SHIFT%)] == 0) {
      int t =        - 1 * y + 2*((1 << %SHIFT%) + (1 << %SHIFT%));
      if (out[p+ 6] < t) atomic_max(&out[p+ 6], t);
    }
    {
      int t =      x +     y + 2*((1 << %SHIFT%) + (1 << %SHIFT%));
      if (out[p+ 1] < t) atomic_max(&out[p+ 1], t);
    }
    {
      int t = -1 * x +     y + 2*((1 << %SHIFT%) + (1 << %SHIFT%));
      if (out[p+ 3] < t) atomic_max(&out[p+ 3], t);
    }
    {
      int t = -1 * x - 1 * y + 2*((1 << %SHIFT%) + (1 << %SHIFT%));
      if (out[p+ 5] < t) atomic_max(&out[p+ 5], t);
    }
    {
      int t=      x - 1 * y + 2*((1 << %SHIFT%) + (1 << %SHIFT%));
      if (out[p+ 7] < t) atomic_max(&out[p+ 7], t);
    }
  }
}
