__kernel void %KERNEL_NAME%(read_only global int *xbuf, global int *vt) {
  int x = get_global_id(0) & 7, y = (get_global_id(0) & ~7) << 1;

  if (vt[y] != 0) {
    int p0 = vt[y + 8 + x], p1 = vt[y + 8 + ((x+1)&7)];
    int x0 = p0 & ((1 << %SHIFT%)-1), y0 = p0 >> %SHIFT%;
    x0 = (x0 + (p1 & ((1 << %SHIFT%)-1))) >> 1;
    y0 = (y0 + (p1 >> %SHIFT%)) >> 1;

    int p2 = x0 + (y0 << %SHIFT%);
    int q = xbuf[p0];

    int b = 65536;

    if (xbuf[p2] == q) {
      b = 1;
    } else {
      for(int i=1;i<=8;i=i<<1) {
	if (x0 >= i && y0 >= i && xbuf[p2 - (i << %SHIFT%) - i] == q) {
	  b = 2+i; break;
	} else if (y0 >= i && xbuf[p2 - (i << %SHIFT%) + i] == q) {
	  b = 2+i; break;
	} else if (x0 >= i && xbuf[p2 + (i << %SHIFT%) - i] == q) {
	  b = 2+i; break;
	} else if (xbuf[p2 + (i << %SHIFT%) + i] == q) {
	  b = 2+i; break;
	}
      }
    }

    vt[y + x] = b;
  }
}
